Bug 22863 - Bonnie over nfs causes multiple, reproducible kernel oopsen
Bonnie over nfs causes multiple, reproducible kernel oopsen
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-26 22:24 EST by Ed McKenzie
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-27 04:00:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
kernel oops (3.61 KB, text/plain)
2000-12-26 22:25 EST, Ed McKenzie
no flags Details

  None (edit)
Description Ed McKenzie 2000-12-26 22:24:19 EST
Running bonnie over nfs reliably causes the nfs server to die. The first
oops is typically kswapd (!), followed by the knfsd threads. Syslog output
from one of these crashes follows this report.

Both the client and the server are running stock 2.2.16-22 kernels. The
client is running the smp-i686 kernel, and the server is running up-i586.
/etc/exports is fairly vanilla (/home shared as (rw,secure,no_root_squash)).

Since kswapd tends to die first, I assumed this might be memory related,
since the server only has 32mb. However, I've shut down everything besides
nfs, and the problem persists.

Kernel oops log attached.
Comment 1 Ed McKenzie 2000-12-26 22:25:01 EST
Created attachment 6703 [details]
kernel oops
Comment 2 Ed McKenzie 2000-12-27 04:00:48 EST
Closing this bug. Memory tests pass with flying colors, but it seems RH7+samba and FreeBSD+nfs on the same hardware both panicked in a similar 
manner. I now suspect it's a hardware issue, possibly the IDE chipset on this motherboard.

Note You need to log in before you can comment on or make changes to this bug.